Package htsjdk.samtools.cram.compression.range

# Class RangeDecode

java.lang.Object
htsjdk.samtools.cram.compression.range.RangeDecode

public class RangeDecode extends Object
Decoder for the CRAM 3.1 arithmetic (range) codec. This is an adaptive, byte-wise compression codec for use with data streams that have a varying byte/symbol probability distribution. Significantly more expensive than rAns.

## Constructor Summary

Constructors
Constructor
Description
`RangeDecode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`uncompress(ByteBuffer inBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeDecode

public RangeDecode()

## Method Details

### uncompress

public ByteBuffer uncompress(ByteBuffer inBuffer)